#include <stdio.h>
#include "OB90A64U1.h"
#include "wdt.h"
#include "gpio.h"
extern uint32_t g_WDTInterrupt;
int main(void)
{

    SystemCoreClockUpdate();
    GPIO_SetPinMode(OB_GPIO3,GPIO_PIN0, GPIO_PINMODE_PULL_UP);//GPIO Mode = Pull up
    WDT_Open(WDT_PRESCALER_64, 0x20, 1) ;
    while(1)
    {
        if(g_WDTInterrupt == 1)
        {
            g_WDTInterrupt = 0;
            OB_GPIO3->DATA_b.GPIOXDATA0 = ~OB_GPIO3->DATA_b.GPIOXDATA0;
        }
    }
}
